> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capout.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Documents

> List all API-submitted documents for the authenticated organization.



## OpenAPI

````yaml /openapi.json get /documents
openapi: 3.1.0
info:
  title: Capout API
  description: >-
    Programmatic REST, WebSocket, and SSE API for uploading documents, tracking
    processing status, and reading claim balances.
  version: 1.0.0
servers:
  - url: https://api.capout.ai
    description: Public API
security: []
paths:
  /documents:
    get:
      tags:
        - Status
      summary: List Documents
      description: List all API-submitted documents for the authenticated organization.
      operationId: list_documents_documents_get
      parameters:
        - name: capout-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Capout-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DocumentListResponse:
      properties:
        documents:
          items:
            $ref: '#/components/schemas/DocumentDetailResponse'
          type: array
          title: Documents
        total:
          type: integer
          title: Total
      type: object
      required:
        - documents
        - total
      title: DocumentListResponse
      description: Response body for GET /documents.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentDetailResponse:
      properties:
        document_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Id
        file_name:
          anyOf:
            - type: string
            - type: 'null'
          title: File Name
        status:
          type: string
          title: Status
        progress:
          anyOf:
            - $ref: '#/components/schemas/DocumentProgress'
            - type: 'null'
        workflow_complete:
          type: boolean
          title: Workflow Complete
          default: false
        billing:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Billing
        export:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Export
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        exported_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Exported At
      type: object
      required:
        - status
      title: DocumentDetailResponse
      description: Document detail returned in GET /documents list.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DocumentProgress:
      properties:
        ocr:
          anyOf:
            - type: string
            - type: 'null'
          title: Ocr
        structure:
          anyOf:
            - type: string
            - type: 'null'
          title: Structure
        actions:
          anyOf:
            - type: string
            - type: 'null'
          title: Actions
        trades:
          anyOf:
            - type: string
            - type: 'null'
          title: Trades
        categories:
          anyOf:
            - type: string
            - type: 'null'
          title: Categories
      type: object
      title: DocumentProgress

````